[arch-commits] Commit in intel-536ep/trunk (3 files)

Tobias Powalowski tpowa at archlinux.org
Sat Oct 11 14:32:05 UTC 2008


    Date: Saturday, October 11, 2008 @ 10:32:03
  Author: tpowa
Revision: 14906

upgpkg: intel-536ep 2.56.76.0-58

Added:
  intel-536ep/trunk/kernel-2.6.27.patch
Modified:
  intel-536ep/trunk/PKGBUILD
  intel-536ep/trunk/intel-536EP.install

---------------------+
 PKGBUILD            |   15 ++++++++++-----
 intel-536EP.install |    4 ++--
 kernel-2.6.27.patch |   36 ++++++++++++++++++++++++++++++++++++
 3 files changed, 48 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-10-11 12:09:40 UTC (rev 14905)
+++ PKGBUILD	2008-10-11 14:32:03 UTC (rev 14906)
@@ -4,20 +4,24 @@
 pkgname=intel-536ep
 name=intel-536EP
 pkgver=2.56.76.0
-pkgrel=57
-_kernver=2.6.26-ARCH
+pkgrel=58
+_kernver=2.6.27-ARCH
 pkgdesc="Intel Modem Drivers for 536EP chipset. For stock arch 2.6 kernel "
 arch=(i686)
 license=('custom:"INTEL536"')
 url="http://linmodems.technion.ac.il/packages/Intel/"
-depends=('intel-536ep-utils' 'kernel26>=2.6.26-1' 'kernel26<2.6.27')
-source=(http://linmodems.technion.ac.il/packages/intel/Philippe.Vouters/intel-536EP-2.56.76.0_23_02_2007.tgz kernel-2.6.24.patch kernel-2.6.26.patch)
+depends=('intel-536ep-utils' 'kernel26>=2.6.27-1' 'kernel26<2.6.28')
+source=(http://linmodems.technion.ac.il/packages/intel/Philippe.Vouters/intel-536EP-2.56.76.0_23_02_2007.tgz 
+	kernel-2.6.24.patch 
+	kernel-2.6.26.patch
+	kernel-2.6.27.patch)
 install=intel-536EP.install
 
 build() {
   cd $startdir/src/intel-536EP-2.56.76.0
   patch -Np0 -i ../kernel-2.6.24.patch || return 1
   patch -Np1 -i ../kernel-2.6.26.patch || return 1
+  patch -Np1 -i ../kernel-2.6.27.patch || return 1
   # fix makefile
   sed -i -e "s/\`uname -r\`/${_kernver}/g" makefile
   sed -i -e "s/\`uname -r\`/${_kernver}/g" config_check
@@ -28,4 +32,5 @@
  }
 md5sums=('7901eb6979489e08c6af00acedba1d52'
          '3b95953729dde304c04bd2d3089d8200'
-         '5689d2005f7bd13da40bdb075af16fb2')
+         '5689d2005f7bd13da40bdb075af16fb2'
+         '73c6669953dafdb6456409de4ae3cb89')

Modified: intel-536EP.install
===================================================================
--- intel-536EP.install	2008-10-11 12:09:40 UTC (rev 14905)
+++ intel-536EP.install	2008-10-11 14:32:03 UTC (rev 14906)
@@ -8,7 +8,7 @@
 
   # updating module dependencies
   echo ">>> Updating module dependencies. Please wait ..."
-  KERNEL_VERSION=2.6.26-ARCH
+  KERNEL_VERSION=2.6.27-ARCH
   depmod -v $KERNEL_VERSION > /dev/null 2>&1
 echo
 echo
@@ -30,7 +30,7 @@
   rm /etc/hamregistry.bin
   # updating module dependencies
   echo ">>> Updating module dependencies. Please wait ..."
-  KERNEL_VERSION=2.6.26-ARCH
+  KERNEL_VERSION=2.6.27-ARCH
   depmod -v $KERNEL_VERSION > /dev/null 2>&1
 }
 

Added: kernel-2.6.27.patch
===================================================================
--- kernel-2.6.27.patch	                        (rev 0)
+++ kernel-2.6.27.patch	2008-10-11 14:32:03 UTC (rev 14906)
@@ -0,0 +1,36 @@
+--- intel-536EP-2.56.76.0/coredrv/locks.c~	2008-10-11 13:22:47.000000000 +0000
++++ intel-536EP-2.56.76.0/coredrv/locks.c	2008-10-11 13:22:47.000000000 +0000
+@@ -43,7 +43,7 @@
+ #include<linux/interrupt.h>
+ #include<linux/irq.h>
+ #include<linux/spinlock.h>
+-#include<asm/semaphore.h>
++#include<linux/semaphore.h>
+ #define LOCK_DEFINED
+ #include"lock_lin.h"
+ 
+--- intel-536EP-2.56.76.0/coredrv/softserial.c~	2008-10-11 14:29:23.000000000 +0000
++++ intel-536EP-2.56.76.0/coredrv/softserial.c	2008-10-11 14:29:23.000000000 +0000
+@@ -341,21 +341,7 @@
+ 
+    ptty = p_async_struct->tty;
+ 
+-   if(test_and_clear_bit(RS_EVENT_WRITE_WAKEUP, &p_async_struct->event))
+-   {
+-      if( (ptty->flags & (1 << TTY_DO_WRITE_WAKEUP)) &&
+-          (ptty->ldisc.write_wakeup != NULL))
+-      {
+-#if defined (DEBUG_LINUX)
+-	 printk("ss_bg_eh:ldisc wakeup\n");
+-#endif
+-         (ptty->ldisc.write_wakeup)(ptty);
+-      }
+-#if defined (DEBUG_LINUX)
+-      printk("ss_bg_eh: wakeup write_wait\n");
+-#endif
+-      wake_up_interruptible(&ptty->write_wait);
+-   }
++   tty_wakeup(ptty);
+ }
+ 
+ //=============================================================================




More information about the arch-commits mailing list